Bug 711733 - F15 does not lock screen for suspend/hibernate
F15 does not lock screen for suspend/hibernate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-08 05:51 EDT by Nick Steeves
Modified: 2011-09-04 20:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-04 20:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Steeves 2011-06-08 05:51:15 EDT
This is for F15 GNOME3 Desktop, installed from liveCD, on a Thinkpad X61s.

1. Suspend system using suspend key, or by closing lid
2. System enters S3.
3. Open lid, or press suspend/resume key.
4. System resumes, but the desktop is accessible to whoever resumes the system.

Resuming to a locked screen is the expected behaviour.
Comment 1 Nikolai Maziashvili 2011-06-17 02:03:32 EDT
I can confirm this bug. Even though in system settings i do have "screen lock" "on" with "after screen is off" setting, system is accessible after waking up from suspend. And i think this bug "deserves" to be marked as high level security bug and not medium. After all default DE for F15 is Gnome 3 that promotes suspending out of the box instead of shutting down. So this makes it major security issue.
Comment 2 Fedora Admin XMLRPC Client 2011-06-21 11:57:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 12:00:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Jean-François Fortin Tam 2011-06-30 18:26:28 EDT
How strange. I'm seeing this bug on a Dell Vostro 3500 laptop, but not on a Thinkpad T43 or on a Dell Inspiron 530 desktop. All three computers are set to lock the screen according to the gnome preferences. gnome-power-manager's dconf keys are not set to ignore the session settings.
Comment 5 Steve Chapel 2011-08-04 12:34:16 EDT
Is this a duplicate of bug 698135? That bug is fixed now.
Comment 6 Nikolai Maziashvili 2011-08-05 04:41:18 EDT
I can confirm this bug being fixed. Although with latest update keyboard backlight stoped working :(.
Comment 7 Nikolai Maziashvili 2011-08-11 07:02:59 EDT
Why this bug is still marked as new? Can Nick confirm if this still a issue in his case, and if not, please close this one.
Comment 8 Nikolai Maziashvili 2011-08-29 12:32:44 EDT
Can anyone please close this one already. This bug is fixed.
Comment 9 Charles R. Anderson 2011-09-04 20:29:51 EDT
Thanks for testing.  Closing bug.

Note You need to log in before you can comment on or make changes to this bug.